/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

class Knoflik extends Button
              implements ActionListener {
  int pocitadlo;
  String napis;

  Knoflik(String napis) {
    super(napis);
    this.napis = napis;
    pocitadlo = 10;
  }

  public void actionPerformed(ActionEvent e) {
    pocitadlo--;
    String s = Integer.toString(pocitadlo).concat("x a dost");
    this.setLabel(s);
    if (pocitadlo == 0) {
//      this.removeActionListener(this);
      ActionListener[] a = (ActionListener[])
                     (this.getListeners(ActionListener.class));
      for (int i = 0;  i < a.length;  i++)
        this.removeActionListener(a[i]);
    }
  }
}

public class ZruseniPosluchace extends Frame {
  Knoflik ahojBT;
  Button stopBT;

  ZruseniPosluchace() {
    super.setTitle(getClass().getName());
    this.setLayout(new FlowLayout());
    ahojBT = new Knoflik("10x a dost");
    this.add(ahojBT);
    stopBT = new Button("Stop ihned");
    this.add(stopBT);

    ahojBT.addActionListener(ahojBT);
    stopBT.addActionListener(new StopAL());
    this.setSize(210, 65);

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(1);
      }
    });
  }

  class StopAL implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      ahojBT.removeActionListener(ahojBT);
    }
  }

  public static void main(String[] args) {
    new ZruseniPosluchace().setVisible(true);
  }
}

