/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujTextField extends Zaklad {
  TextField vstupTF, echoTF;
  Label vysledekLB;

  MujTextField() {
    super.setTitle(getClass().getName());
    vstupTF = new TextField(10);
    echoTF = new TextField();
    Label popisVstupLB = new Label("Vstup", Label.RIGHT);
    Label popisEchoLB = new Label("Echo", Label.RIGHT);
    vysledekLB = new Label("Zde bude opsan Vstup");
    this.add(popisVstupLB);
    this.add(vstupTF);
    this.add(popisEchoLB);
    this.add(echoTF);
    this.add(vysledekLB);
    this.setSize(250, 85);

    vstupTF.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        vysledekLB.setText(e.getActionCommand());
      }
    });
    
    echoTF.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        char echo = e.getActionCommand().charAt(0);
        if (echo == '0')
          vstupTF.setEchoChar((char) 0);
        else
          vstupTF.setEchoChar(echo);
      }
    });
  }

  public static void main(String[] args) {
    new MujTextField().setVisible(true);
  }
}
