/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujList extends Zaklad
               implements ItemListener, ActionListener {
  List vyberLS;
  Label lab;

  MujList() {
    super.setTitle(getClass().getName());
    vyberLS = new List(5);
    this.add(vyberLS);
    vyberLS.add("Druhy");
    vyberLS.add("Prvni");
    vyberLS.add("Vloz AHOJ jako prvni");
    vyberLS.add("Zrus AHOJ");
    vyberLS.add("Zrus vse");
    vyberLS.select(1);
    lab = new Label("V seznamu je "
           + vyberLS.getItemCount() + " polozek");
    this.add(lab);
    this.setSize(300, 120);

    vyberLS.addItemListener(this);
    vyberLS.addActionListener(this);
  }

  public void itemStateChanged(ItemEvent e) {
    String s = new String(vyberLS.getSelectedItem());
    lab.setText(vyberLS.getSelectedIndex() +
                  ". " + s);
    if (s.compareTo("Vloz AHOJ jako prvni") == 0)
       vyberLS.add("AHOJ", 0);
    if (s.compareTo("Zrus AHOJ") == 0)
       vyberLS.remove("AHOJ");
    if (s.compareTo("Zrus vse") == 0)
       vyberLS.removeAll();
  }

  public void actionPerformed(ActionEvent e) {
    vyberLS.makeVisible(vyberLS.getItemCount() - 1);
    lab.setText("double-click");
  }

  public static void main(String[] args) {
    new MujList().setVisible(true);
  }
}
