/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class ZmenaFontu extends Zaklad
           implements ActionListener {
  Button zmenBT;
  ZmenaFontu() {
    super.setTitle(getClass().getName());
    zmenBT = new Button("Zmen font");
    this.add(zmenBT);
    this.setSize(180, 65);
    zmenBT.addActionListener(this);
  }

  public void actionPerformed(ActionEvent e) {
    Font f;
    int s = zmenBT.getFont().getStyle();
    if (s == Font.PLAIN)
      f = new Font("SansSerif", Font.BOLD, 20);
    else
      f = new Font("SansSerif", Font.PLAIN, 12);
    zmenBT.setFont(f);
    this.validate();
  }

  public static void main(String[] args) {
    new ZmenaFontu().setVisible(true);
  }
}
