/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujCardLayout extends Zaklad
            implements ItemListener {
  Panel bloky;
  MujCardLayout() {
    super.setTitle(getClass().getName());
    this.setLayout(new BorderLayout(10, 10));

    Choice volba = new Choice();
    volba.addItem("1");
    volba.addItem("2");
    volba.addItemListener(this);

    Panel p1 = new Panel();
    p1.add(new Button("A"));
    p1.add(new Button("B"));

    Panel p2 = new Panel();
    p2.add(new Checkbox("C"));
    p2.add(new Checkbox("D"));

    bloky = new Panel();
    bloky.setLayout(new CardLayout());
    bloky.add("1", p1);
    bloky.add("2", p2);

    this.add(bloky, BorderLayout.NORTH);
    this.add(volba, BorderLayout.SOUTH);
    this.setSize(180, 95);
//    this.pack();
  }

  public void itemStateChanged(ItemEvent e) {
    CardLayout c = (CardLayout) bloky.getLayout();
    c.show(bloky, (String) e.getItem());
  }

  public static void main(String[] args) {
    new MujCardLayout().setVisible(true);
  }
}
