/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujGridBagLayout1 extends Zaklad {
  GridBagConstraints gbc;
  GridBagLayout gbl;

  MujGridBagLayout1() {
    super.setTitle(getClass().getName());
    gbl = new GridBagLayout();
    this.setLayout(gbl);
    gbc = new GridBagConstraints();
    gbc.fill = GridBagConstraints.BOTH;

    gbc.weightx = 1.0;
    vytvorTlacitko("Tl. 1", 1);
    vytvorTlacitko("Tla. 2", GridBagConstraints.RELATIVE);
    vytvorTlacitko("Tlatko 3", GridBagConstraints.REMAINDER);
    gbc.weightx = 0.0;
    vytvorTlacitko("Tla. 4", 2);
    gbc.weighty = 1.0;
    gbc.gridheight = 2;
    vytvorTlacitko("Tlatko 5", GridBagConstraints.REMAINDER);
    gbc.weighty = 0.0;
    gbc.gridheight = 1;
    gbc.gridx = 0;
    gbc.gridy = 2;
    vytvorTlacitko("Tlatko 6", 1);
    gbc.gridx = 1;
    vytvorTlacitko("T. 7", 1);

    this.setSize(200, 120);
  }

  void vytvorTlacitko(String jmeno, int gridwidth) {
    Button b = new Button(jmeno);
    gbc.gridwidth = gridwidth;
    gbl.setConstraints(b, gbc);
    add(b);
  }

  public static void main(String[] args) {
    new MujGridBagLayout1().setVisible(true);
  }
}
