/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujMouseEvent2 extends Zaklad {
  Button vymazBT;
  Choice vyslMysCH;
  Label mysiLB;
  MujMouseEvent2() {
    super.setTitle(getClass().getName());
    this.setLayout(new BorderLayout(10, 10));

    mysiLB = new Label("Mysi zona", Label.CENTER);
    mysiLB.setBackground(Color.lightGray);
    this.add(mysiLB, BorderLayout.CENTER);

    vymazBT = new Button("Vymaz");
    this.add(vymazBT, BorderLayout.EAST);
    vymazBT.setBackground(Color.white);
    vymazBT.addActionListener(new AL());

    vyslMysCH = new Choice();
    this.add(vyslMysCH, BorderLayout.NORTH);

    mysiLB.addMouseListener(new ML());
    this.setSize(250, 100);
  }

  class AL implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      vyslMysCH.removeAll();
    }
  }

  class ML extends MouseAdapter {
    long minulyCas = 0;
    public void mouseClicked(MouseEvent e) {
      int m = e.getModifiers();
      boolean m1 = ((m & InputEvent.BUTTON1_MASK) != 0) ? true : false;
      boolean m2 = ((m & InputEvent.BUTTON2_MASK) != 0) ? true : false;
      boolean m3 = ((m & InputEvent.BUTTON3_MASK) != 0) ? true : false;
      String c = String.valueOf(vyslMysCH.getItemCount() + 1);

      if (e.isShiftDown()) {
        vyslMysCH.add(c + ". Shift - 1." + m1 + " 2." + m2 + " 3." + m3);
      }
      if (m1  &&  e.isAltDown()) {
        String s = e.getComponent().getName();
        vyslMysCH.add(c + ". Alt 1 " + s);
      }
      if (m3) {
        long tedCas = e.getWhen();
        long milisec = tedCas - minulyCas;
        if (milisec < 300  &&  e.getClickCount() > 1)
          vyslMysCH.add(c + ". double-click [ms] " +  milisec);
        else
          vyslMysCH.add(c + ". click [ms] " +  milisec);
        minulyCas = tedCas;
      }
      if (vyslMysCH.getItemCount() > 0)
        vyslMysCH.select(vyslMysCH.getItemCount() - 1);
    }
  }

  public static void main(String[] args) {
    new MujMouseEvent2().setVisible(true);
  }
}
