/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujMouseMotionEvent extends Zaklad {
  Button vymazBT;
  Choice vyslMysCH;
  Label mysiLB;
  MujMouseMotionEvent() {
    super.setTitle(getClass().getName());
    this.setLayout(new BorderLayout(10, 10));

    mysiLB = new Label("Mysi zona", Label.CENTER);
    mysiLB.setBackground(Color.lightGray);
    this.add(mysiLB, BorderLayout.CENTER);

    vymazBT = new Button("Vymaz");
    this.add(vymazBT, BorderLayout.EAST);
    vymazBT.setBackground(Color.white);
    vymazBT.addActionListener(new AL());

    vyslMysCH = new Choice();
    this.add(vyslMysCH, BorderLayout.NORTH);

    this.setSize(250, 100);
    mysiLB.addMouseMotionListener(new MML());
  }

  class AL implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      vyslMysCH.removeAll();
    }
  }

  void vypis(String co, MouseEvent e) {
    String c = String.valueOf(vyslMysCH.getItemCount() + 1);
    int x = e.getX();
    int y = e.getY();
    String s = " [" + x + ", " + y + "]";
    vyslMysCH.add(c + ". " + co + s);
    vyslMysCH.select(vyslMysCH.getItemCount() - 1);
  }

  class MML implements MouseMotionListener {
    public void mouseMoved(MouseEvent e) {
      vypis("pohyb", e);
    }
    public void mouseDragged(MouseEvent e) {
      vypis("tazeni", e);
    }
  }

  public static void main(String[] args) {
    new MujMouseMotionEvent().setVisible(true);
  }
}
