/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujWindowEvent extends Zaklad {
  Button noveBT, zrusBT;
  Choice vyslWinCH;
  Frame okno;

  MujWindowEvent() {
    super.setTitle(getClass().getName());
    noveBT = new Button("Nove okno");
    this.add(noveBT);
    noveBT.addActionListener(new NAL());

    zrusBT = new Button("Zrus okno");
    this.add(zrusBT);
    zrusBT.addActionListener(new ZAL());

    vyslWinCH = new Choice();
    vyslWinCH.add("Udalosti noveho okna");
    this.add(vyslWinCH);

    this.setSize(200, 100);

    okno = new Frame("Nove okno");
    okno.setSize(160, 60);
    okno.setLocation(150, 150);
    okno.addWindowListener(new WL());
  }

  class NAL implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      okno.setVisible(true);
    }
  }

  class ZAL implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      okno.dispose();
    }
  }

  void vypis(String co) {
    String c = String.valueOf(vyslWinCH.getItemCount());
    vyslWinCH.add(c + "." + co);
    vyslWinCH.select(vyslWinCH.getItemCount() - 1);
  }

  class WL implements WindowListener {
    public void windowActivated(WindowEvent e) {
      vypis("aktivace");
    }
    public void windowClosed(WindowEvent e) {
      vypis("zavreni programem");
    }
    public void windowClosing(WindowEvent e) {
      vypis("zavreni mysi");
      e.getWindow().dispose();
    }
    public void windowDeactivated(WindowEvent e) {
      vypis("deaktivace");
    }
    public void windowDeiconified(WindowEvent e) {
      vypis("obnoveni");
    }
    public void windowIconified(WindowEvent e) {
      vypis("ikona");
    }
    public void windowOpened(WindowEvent e) {
      vypis("poprve otevreno");
    }
  }

  public static void main(String[] args) {
    new MujWindowEvent().setVisible(true);
  }
}
