/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;

class Platno extends Canvas {
  Image img = null;

  void vykresliNactenyObrazek(Image img) {
    this.img = img;
    repaint();
  }

  public void paint(Graphics g) {
    Dimension d = getSize();
    if (img != null)
      g.drawImage(img, 0, 0, d.width - 1, d.height - 1, this);
  }
}

public class NacitaniObrazku2 extends Frame {
  Platno pl;
  Image img1, img2;
  Button b1, b2;
  Toolkit t;
  MediaTracker mt;

  NacitaniObrazku2() {
    super.setTitle(getClass().getName());
    this.setSize(300, 200);
    pl = new Platno();
    this.add(pl, BorderLayout.CENTER);

    b1 = new Button("Prvn obrzek");
    b1.setEnabled(false);
    b2 = new Button("Druh obrzek");
    b2.setEnabled(false);

    Panel p = new Panel();
    p.add(b1);
    p.add(b2);
    this.add(p, BorderLayout.SOUTH);

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(1);
      }
    });
  }

  class AL implements ActionListener {
    Image obrazek;
    AL(Image im) { obrazek = im; }

    public void actionPerformed(ActionEvent e) {
      pl.vykresliNactenyObrazek(obrazek);
    }
  }

  void nactiObrazkyACekej() {
    this.setCursor(new Cursor(Cursor.WAIT_CURSOR));
    t = Toolkit.getDefaultToolkit();
    mt = new MediaTracker(this);
    String fs = System.getProperty("file.separator");
    img1 = t.getImage(".." + fs + "kocka.jpg");
//    img1 = t.getImage("kocka.jpg");
    mt.addImage(img1, 0);
    img2 = t.getImage(".." + fs + "kouzelnik.jpg");
//    img2 = t.getImage("a:\\kouzelnik.jpg");
    mt.addImage(img2, 1);
    try {
      mt.waitForAll();
//      mt.waitForID(0);
    }
    catch (InterruptedException e) {
      e.printStackTrace();
    }
    this.setCursor(new Cursor(Cursor.DEFAULT_CURSOR));
    b1.setEnabled(true);
    b1.addActionListener(new AL(img1));
    b2.setEnabled(true);
    b2.addActionListener(new AL(img2));
  }

  public static void main(String[] args) {
    NacitaniObrazku2 no = new NacitaniObrazku2();
    no.setVisible(true);
    no.nactiObrazkyACekej();
  }
}

