/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.util.*;
import java.text.*;
import java.io.*;

public class DatumLocale {
  public static void main(String[] args) throws Exception {
    OutputStreamWriter o = new OutputStreamWriter(System.out, "Cp852");
    PrintWriter p = new PrintWriter(o);
    DateFormat df;
    Date d = new Date();
    Locale[] lo = { new Locale("cs", "CZ"), new Locale("sk", "SK"),
                    new Locale("en", "US"), new Locale("sv", "SE") };
    for (int i = 0;  i < lo.length;  i++) {
      df = DateFormat.getDateInstance(DateFormat.DEFAULT, lo[i]);
      String s = df.format(d);
      p.println(s + "\t" + lo[i].getDisplayName());
      p.flush();
    }
  }
}
