/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.io.*;
import java.text.*;

public class BreakIterator1 {
  public static void main(String[] args) throws Exception {
    OutputStreamWriter o = new OutputStreamWriter(System.out, "Cp852");
    PrintWriter p = new PrintWriter(o);
    String veta = "Pern 'luouk' k pl belsk " +
                   "dy, kter se nedaly poslouchat.";

    BreakIterator wbi = BreakIterator.getWordInstance();
    wbi.setText(veta);
    int zac = wbi.first();
    int kon = wbi.next();

    while (kon != BreakIterator.DONE) {
      String slovo = veta.substring(zac, kon);
      if (Character.isLetter(slovo.charAt(0))) {
        p.println(slovo);
      }
      zac = kon;
      kon = wbi.next();
    }          
    p.flush();
  }
}
