/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class RezyLogickychFontu extends Frame
                   implements ActionListener {
  String[] rodinyFontu = {"Serif", "SansSerif", "MonoSpaced",
                          "Dialog", "DialogInput"};
  int[] stylyFontu = {Font.PLAIN, Font.BOLD, Font.ITALIC,
                      Font.BOLD + Font.ITALIC };
  Label[] ukazkaLB;
  int indexRodiny = 0;
  Button zmenaBT;

  RezyLogickychFontu() {
    super.setTitle(getClass().getName());
    this.setLayout(new FlowLayout(30));
    ukazkaLB = new Label[stylyFontu.length];
    for (int i = 0;  i < ukazkaLB.length;  i++) {
      ukazkaLB[i] = new Label("Ahoj");
      this.add(ukazkaLB[i]);
    }

    zmenTitulekOkna();
    zmenFont();

    zmenaBT = new Button("Zmena");
    this.add(zmenaBT);
    zmenaBT.addActionListener(this);
    this.setSize(500, 100);

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(1);
      }
    });
  }

  public void actionPerformed(ActionEvent e) {
    zmenTitulekOkna();
    zmenFont();
  }

  void zmenTitulekOkna() {
    String s = " - " + rodinyFontu[indexRodiny];
    String titul = this.getTitle().substring(0, 5) + s;
    this.setTitle(titul);
  }

  void zmenFont() {
    for (int i = 0;  i < ukazkaLB.length;  i++) {
      Font f = new Font(rodinyFontu[indexRodiny], stylyFontu[i], 40);
      ukazkaLB[i].setFont(f);
    }
    indexRodiny = (++indexRodiny == rodinyFontu.length) ? 0 : indexRodiny;
  }

  public static void main(String[] args) {
    new RezyLogickychFontu().setVisible(true);
  }
}
