/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class FyzickyFont extends RezyLogickychFontu {
  Font[] fyzFonty;
  FyzickyFont() {
    GraphicsEnvironment ge = GraphicsEnvironment.getLocalGraphicsEnvironment();
    fyzFonty = ge.getAllFonts();
    rodinyFontu = new String[fyzFonty.length];
    for (int i = 0;  i < fyzFonty.length;  i++) {
      rodinyFontu[i] = new String(fyzFonty[i].getName());
    }

    zmenaBT.addActionListener(this);
  }

  public void actionPerformed(ActionEvent e) {
    zmenFyzickyFont();
  }

  void zmenFyzickyFont() {
    zmenTitulekOkna();
    for (int i = 0;  i < ukazkaLB.length;  i++) {
      Font f = fyzFonty[indexRodiny].deriveFont(stylyFontu[i], (float) 40.0);
      ukazkaLB[i].setFont(f);
    }
    indexRodiny = (++indexRodiny == rodinyFontu.length) ? 0 : indexRodiny;
  }

  public static void main(String[] args) {
    new FyzickyFont().setVisible(true);
  }
}
