/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

class Platno extends Canvas {
  final static int OKRAJE = 10;

  public void paint(Graphics g) {
    g.setColor(Color.darkGray);
    g.fillRect(0, 0, getWidth() - 1, getHeight() - 1);

    int sirka = (getWidth() - OKRAJE * 3) / 2;
    int vyska = getHeight() - OKRAJE * 2;
//    g.setColor(Color.blue);
    g.setColor(Color.gray);
    g.fill3DRect(OKRAJE * 2 + sirka, OKRAJE, sirka, vyska, false);
//    g.setColor(Color.blue);
    g.setColor(Color.gray);
    g.fill3DRect(OKRAJE, OKRAJE, sirka, vyska, true);
  }
}

public class Muj3DRect extends Frame {
  Muj3DRect() {
    super.setTitle(getClass().getName());
    Platno pl = new Platno();
    this.add(pl, BorderLayout.CENTER);
    this.setSize(160, 80);

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(1);
      }
    });
  }

  public static void main(String[] args) {
    new Muj3DRect().setVisible(true);
  }
}
