/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class JmenaFontu extends Frame {
  GraphicsEnvironment ge;

  public JmenaFontu() {
    super("Jmena Fontu");
    List fonty = new List(20, true);
    add(fonty);
    ge = GraphicsEnvironment.getLocalGraphicsEnvironment();
    Font[] f = ge.getAllFonts();
    for (int i = 0;  i < f.length;  i++) {
      fonty.add((i + 1) + ". " + f[i].getName());
    }


    this.setSize(300, 500);
    this.show();

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(1);
      }
    });
  }


  public static void main(String[] args) {
    new JmenaFontu();
  }
}
