/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.util.*;
import java.text.*;
import java.awt.*;
import java.awt.event.*;

public class FormatovaniCisel extends Zaklad {
  TextField cisloTF, vzorTF;
  Label vysledekLB;
  DecimalFormat df;
  String vzor = "#.#";
  double cislo = 12345.6;
//  long cislo = 12345L;

  FormatovaniCisel() {
    super.setTitle(getClass().getName());
    cisloTF = new TextField(10);
    cisloTF.setText(String.valueOf(cislo));
    vzorTF = new TextField(10);
    vzorTF.setText(vzor);
    Label popisCisloLB = new Label("Cislo", Label.RIGHT);
    Label popisVzorLB = new Label("Vzor", Label.RIGHT);
    vysledekLB = new Label("zformatovane cislo");
    this.add(popisCisloLB);
    this.add(cisloTF);
    this.add(vysledekLB);
    this.add(popisVzorLB);
    this.add(vzorTF);
    this.setSize(280, 85);
    NumberFormat nf =
       NumberFormat.getNumberInstance(new Locale("en", "US"));
    df = (DecimalFormat) nf;

    cisloTF.addActionListener(new AL());
    vzorTF.addActionListener(new AL());
    cisloTF.addFocusListener(new FL());
    vzorTF.addFocusListener(new FL());
  }

  class AL implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      zobrazVysledek();
    }
  }

  class FL extends FocusAdapter {
    public void focusGained(FocusEvent e) {
      zobrazVysledek();
    }
    public void focusLost(FocusEvent e) {
      zobrazVysledek();
    }
  }

  void zobrazVysledek() {
    cislo = Double.valueOf(cisloTF.getText()).doubleValue();
//    cislo = Long.valueOf(cisloTF.getText()).longValue();
    vzor = vzorTF.getText();
//    df = new DecimalFormat(vzor);
    df.applyPattern(vzor);
    String s = df.format(cislo);
    vysledekLB.setText(s);
  }


  public static void main(String[] args) {
    new FormatovaniCisel().show();
  }
}
