/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.util.*;
import java.text.*;
import java.io.*;
import java.awt.*;
import java.awt.event.*;

public class CeskaLokalizace extends Frame {
  Button datumBT;
  TextField datumTF;

  CeskaLokalizace() {
    super.setTitle("esk lokalizace");
    this.setLayout(new FlowLayout());
    datumBT = new Button("Vypi dnen datum");
    this.add(datumBT);
    datumTF = new TextField(20);
    datumTF.setEditable(false);
    this.add(datumTF);

    datumBT.addActionListener(new AL());

    this.setSize(190, 90);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });
  }

  class AL implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      Locale lo = new Locale("cs", "CZ");
      DateFormat df;
      Calendar c = Calendar.getInstance();
      c.set(2001, 4, 21);
      df = DateFormat.getDateInstance(DateFormat.FULL, lo);
      String s = df.format(c.getTime());
      datumTF.setText(s);
    }
  }

  public static void main(String[] args) {
    new CeskaLokalizace().setVisible(true);
  }
}
