/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class Nejprehlednejsi extends Frame {
  Label lab;

  public Nejprehlednejsi() {
    super.setTitle(getClass().getName());
    this.setLayout(new FlowLayout());

    Button ahojBT = new Button("Ahoj");
    this.add(ahojBT);
    ahojBT.addActionListener(new AhojBTAL());

    lab = new Label("Nazdar");
    this.add(lab);

    Button nazdarBT = new Button("Nazdar");
    this.add(nazdarBT);
    nazdarBT.addActionListener(new NazdarBTAL());

    this.setSize(170, 65);

    this.addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(1);
      }
    });
  }

  class AhojBTAL implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      lab.setText("AHOJ");
    }
  }

  class NazdarBTAL implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      lab.setText("NAZDAR");
    }
  }

  public static void main(String[] args) {
    new Nejprehlednejsi().setVisible(true);
  }
}
