/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

class Navesti extends Label
              implements ActionListener {
  int pocitadlo;
  String napis;

  Navesti(String napis) {
    super(napis);
    this.napis = napis;
    pocitadlo = 0;
  }

  public void actionPerformed(ActionEvent e) {
    pocitadlo++;
    String s = napis.concat(String.valueOf(pocitadlo));
    this.setText(s);
  }
}

public class Tlacitko8 extends Frame {
  Button ahojBT, nazdarBT;
  Navesti ahojLB, nazdarLB;

  Tlacitko8() {
    super.setTitle(getClass().getName());
    this.setLayout(new FlowLayout());
    ahojBT = new Button("Ahoj");
    this.add(ahojBT);
    ahojLB = new Navesti("AHOJ ");
    this.add(ahojLB);
    nazdarLB = new Navesti("NAZDAR ");
    this.add(nazdarLB);
    nazdarBT = new Button("Nazdar");
    this.add(nazdarBT);
    this.pack();

    ahojBT.addActionListener(ahojLB);
    nazdarBT.addActionListener(nazdarLB);

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(1);
      }
    });
  }

  public static void main(String[] args) {
    new Tlacitko8().setVisible(true);
  }
}
