/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

class Navesti extends Label
              implements ActionListener {
  int pocitadlo;
  String napis;

  Navesti(String napis) {
    super(napis);
    this.napis = napis;
    pocitadlo = 0;
  }

  public void actionPerformed(ActionEvent e) {
    pocitadlo++;
    String s = napis.concat(String.valueOf(pocitadlo));
    this.setText(s);
  }
}

class Knoflik extends Button
              implements ActionListener {
  int pocitadlo;
  String napis;

  Knoflik(String napis) {
    super(napis);
    this.napis = napis;
    pocitadlo = 0;
  }

  public void actionPerformed(ActionEvent e) {
    pocitadlo++;
    String s = napis.concat(String.valueOf(pocitadlo));
    this.setLabel(s);
  }
}

public class DvaPosluchaci extends Frame {
  Knoflik ahojBT;
  Navesti ahojLB;

  DvaPosluchaci() {
    super.setTitle(getClass().getName());
    this.setLayout(new FlowLayout());
    ahojBT = new Knoflik("Ahoj");
    this.add(ahojBT);
    ahojLB = new Navesti("AHOJ ");
    this.add(ahojLB);

    ahojBT.addActionListener(ahojLB);
    ahojBT.addActionListener(ahojBT);

    this.setSize(170, 65);

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(1);
      }
    });
  }

  public static void main(String[] args) {
    new DvaPosluchaci().setVisible(true);
  }
}
