/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

class UdalostBT extends Button {
  UdalostBT(String jmeno) {
    super(jmeno);
  }

  public void processEvent(AWTEvent e) {
    super.processEvent(e);
  }

  void provedUdalost() {
    String s = this.getLabel();
    super.processEvent(new ActionEvent(this, 1, s));
  }
}

public class VyvolaniUdalosti extends Frame {
  Button ahojBT;
  UdalostBT nazdarBT;
  Label ahojLB, nazdarLB;

  VyvolaniUdalosti() {
    super.setTitle(getClass().getName());
    this.setLayout(new FlowLayout());
    ahojBT = new Button("Ahoj");
    this.add(ahojBT);
    ahojBT.addActionListener(new AAL());
    ahojLB = new Label("ahoj  ");
    this.add(ahojLB);
    nazdarLB = new Label("nazdar  ");
    this.add(nazdarLB);
    nazdarBT = new UdalostBT("Nazdar");
    this.add(nazdarBT);
    nazdarBT.addActionListener(new NAL());
    nazdarBT.provedUdalost();

    this.setSize(240, 65);

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });
  }

  class AAL implements ActionListener {
    int n = 0;
    public void actionPerformed(ActionEvent e) {
      n++;
      String s = "ahoj " + n;
      ahojLB.setText(s);
      s = nazdarBT.getLabel();
      // prvni moznost
      nazdarBT.processEvent(new ActionEvent(nazdarBT, 1, s));
      // druha moznost
      nazdarBT.provedUdalost();
    }
  }

  class NAL implements ActionListener {
    int n = 0;
    public void actionPerformed(ActionEvent e) {
      n++;
      String s = "nazdar " + n;
      nazdarLB.setText(s);
    }
  }

  public static void main(String[] args) {
    new VyvolaniUdalosti().setVisible(true);
  }
}
