/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class Velikost1 extends Frame
                       implements ActionListener {
  Button tlacBT;
  Label oknoLB, tlacLB;

  Velikost1() {
    super.setTitle(getClass().getName());
    this.setLayout(new GridLayout(3, 1));
    tlacBT = new Button("Posun na [0, 0]");
    this.add(tlacBT);
    oknoLB = new Label();
    this.add(oknoLB);
    tlacLB = new Label();
    this.add(tlacLB);
    this.setSize(250, 100);

    tlacBT.addActionListener(this);

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(1);
      }
    });
  }

  public void actionPerformed(ActionEvent e) {
    tlacBT.setLocation(0, 0);
    rozmery(tlacLB, tlacBT, "tlac");
  }

  void rozmery(Label kam, Component co, String popis) {
    Dimension d = co.getSize();
    Point p = co.getLocation();
    String s = popis+": ["+p.x+","+p.y+"], sirka = "
                      +d.width+", vyska ="+d.height;
    kam.setText(s);
  }
/*
  void rozmery(Label kam, Component co, String popis) {
    Rectangle r = co.getBounds();
    String s = popis+": ["+r.x+","+r.y+"], sirka = "
                      +r.width+", vyska ="+r.height;
    kam.setText(s);
  }

  void rozmery(Label kam, Component co, String popis) {
    String s = popis+": ["+co.getX()+","+co.getY()+"], sirka = "
                      +co.getWidth()+", vyska ="+co.getHeight();
    kam.setText(s);
  }
*/

  public static void main(String[] args) {
    Velikost1 okno = new Velikost1();
    okno.setVisible(true);
    okno.rozmery(okno.oknoLB, okno, "okno");
    okno.rozmery(okno.tlacLB, okno.tlacBT, "tlac");
  }
}
