/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class Pristupnost extends Frame
               implements ActionListener {
  Button pristBT, skryjBT;

  Pristupnost() {
    super.setTitle(getClass().getName());
    this.setLayout(new FlowLayout());
    pristBT = new Button("Pristupny");
    this.add(pristBT);
    skryjBT = new Button("Skryj");
    this.add(skryjBT);

    pristBT.addActionListener(this);
    skryjBT.addActionListener(this);
    this.setSize(170, 65);

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(1);
      }
    });
  }

  public void actionPerformed(ActionEvent e) {
    pristBT.setEnabled(! pristBT.isEnabled());
    skryjBT.setLabel(skryjBT.getLabel().equals("Skryj") ?
                     "Obnov" : "Skryj");
  }

  public static void main(String[] args) {
    new Pristupnost().setVisible(true);
  }
}
