/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujCheckbox extends Zaklad
               implements ItemListener {
  Checkbox ahojCHB, nazdarCHB;
  Label lab;

  MujCheckbox() {
    super.setTitle(getClass().getName());
    ahojCHB = new Checkbox("Ahoj");
    this.add(ahojCHB);
    nazdarCHB = new Checkbox("Nazdar", true);
    this.add(nazdarCHB);
    lab = new Label(nazdarCHB.getLabel());
    this.add(lab);
    this.setSize(150, 80);

    ahojCHB.addItemListener(this);
    nazdarCHB.addItemListener(this);
  }

  public void itemStateChanged(ItemEvent e) {
    String s = new String(ahojCHB.getLabel()
                + " " + ahojCHB.getState());
    lab.setText(s);
    if (ahojCHB.getState() == true)
      nazdarCHB.setState(true);
  }

  public static void main(String[] args) {
    new MujCheckbox().setVisible(true);
  }
}
