/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujCheckboxGroup extends Zaklad
               implements ItemListener {
  Checkbox ahojCHB, nazdarCHB, caoCHB;
  CheckboxGroup radio;
  Label lab;
  String popis = "Udalost od ";

  MujCheckboxGroup() {
    super.setTitle(getClass().getName());
    radio = new CheckboxGroup();
    ahojCHB = new Checkbox("Ahoj", radio, false);
    this.add(ahojCHB);
    nazdarCHB = new Checkbox("Nazdar", radio, true);
    this.add(nazdarCHB);
    caoCHB = new Checkbox("Cao", radio, true);
    this.add(caoCHB);
    lab = new Label(popis.concat("neznamy"));
    this.add(lab);
    this.setSize(200, 80);

    ahojCHB.addItemListener(this);
    nazdarCHB.addItemListener(this);
    caoCHB.addItemListener(this);
  }

  public void itemStateChanged(ItemEvent e) {
    Checkbox c = radio.getSelectedCheckbox();
    String s = popis.concat(c.getLabel());
    lab.setText(s);
    if (ahojCHB.getState() == true)
      radio.setSelectedCheckbox(caoCHB);
  }

  public static void main(String[] args) {
    new MujCheckboxGroup().setVisible(true);
  }
}
