/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujChoice extends Zaklad
               implements ItemListener {
  Choice vyberCH;
  Label lab;

  MujChoice() {
    super.setTitle(getClass().getName());
    vyberCH = new Choice();
    this.add(vyberCH);
    vyberCH.add("Druhy");
    vyberCH.addItem("Prvni");
    vyberCH.addItem("Vloz AHOJ jako prvni");
    vyberCH.addItem("Zrus AHOJ");
    vyberCH.addItem("Zrus vse");
    vyberCH.select("Prvni");
    lab = new Label("V seznamu je "
           + vyberCH.getItemCount() + " polozek");
    this.add(lab);
    this.setSize(300, 80);

    vyberCH.addItemListener(this);
  }

  public void itemStateChanged(ItemEvent e) {
    String s = new String(vyberCH.getSelectedItem());
    lab.setText(vyberCH.getSelectedIndex() +
                  ". " + s);
    if (s.compareTo("Vloz AHOJ jako prvni") == 0)
       vyberCH.insert("AHOJ", 0);
    if (s.compareTo("Zrus AHOJ") == 0)
       vyberCH.remove("AHOJ");
    if (s.compareTo("Zrus vse") == 0)
       vyberCH.removeAll();
  }

  public static void main(String[] args) {
    new MujChoice().setVisible(true);
  }
}
