/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujScrollbar1 extends Zaklad
           implements ActionListener, AdjustmentListener {
  Scrollbar posunSB;
  TextField hodnotaTF;

  MujScrollbar1() {
    super.setTitle(getClass().getName());
    posunSB = new Scrollbar(Scrollbar.HORIZONTAL, 50, 0, 0, 100 + 1);
    hodnotaTF = new TextField("50", 3);
    this.setLayout(new BorderLayout(5, 0)); 
    this.add(posunSB, BorderLayout.CENTER);
    this.add(hodnotaTF, BorderLayout.EAST);
    this.setSize(250, 65);

    posunSB.addAdjustmentListener(this);
    hodnotaTF.addActionListener(this);
  }

  public void actionPerformed(ActionEvent e) {
    String s = e.getActionCommand();
    int i = Integer.valueOf(s).intValue();
    posunSB.setValue(i);
  }

  public void adjustmentValueChanged(AdjustmentEvent e) {
    int i = posunSB.getValue();
    hodnotaTF.setText(String.valueOf(i));
  }

  public Insets getInsets() {
    return new Insets(34, 10, 10, 10);
  }

  public static void main(String[] args) {
    new MujScrollbar1().setVisible(true);
  }
}
