/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujScrollbar3 extends Frame {
  Scrollbar posunSB, velBlokuSB;
  Label posunLB, blokLB;
  static final int MIN = 0;
  static final int MAX = 100;

  MujScrollbar3() {
    super.setTitle(getClass().getName());
    posunSB = new Scrollbar(Scrollbar.HORIZONTAL,
                            MAX / 2, 0, MIN, MAX + 1);
    posunLB = new Label("" + MAX / 2);
    velBlokuSB = new Scrollbar(Scrollbar.HORIZONTAL,
                           10, 0, 1, 20 + 1);
    velBlokuSB.setValue(10);
    blokLB = new Label("" + velBlokuSB.getBlockIncrement());

    this.setLayout(new GridLayout(2, 2, 10, 10));
    this.add(posunSB);
    this.add(posunLB);
    this.add(velBlokuSB);
    this.add(blokLB);

    this.setSize(200, 85);

    posunSB.addAdjustmentListener(new AdjustmentListener() {
      public void adjustmentValueChanged(AdjustmentEvent e) {
        int i = posunSB.getValue();
        posunLB.setText(String.valueOf(i));
      }
    });

    velBlokuSB.addAdjustmentListener(new AdjustmentListener() {
      public void adjustmentValueChanged(AdjustmentEvent e) {
        int blok = velBlokuSB.getValue();
        posunSB.setBlockIncrement(blok);
        blokLB.setText(String.valueOf(blok));
      }
    });

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });
  }

  public Insets getInsets() {
    return new Insets(34, 10, 10, 10);
  }

  public static void main(String[] args) {
    new MujScrollbar3().setVisible(true);
  }
}
