/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujTextArea extends Zaklad
        implements ActionListener, TextListener {
  TextArea vstupTA;
  Label vysledekLB;
  Button pridejBT, vlozBT, nahradBT, novyBT;

  MujTextArea() {
    super.setTitle(getClass().getName());
    pridejBT = new Button("Pridej");
    vlozBT = new Button("Vloz");
    nahradBT = new Button("Nahrad");
    novyBT = new Button("Novy");
    vstupTA = new TextArea("Java je",
          3, 20, TextArea.SCROLLBARS_BOTH);
    vysledekLB = new Label("Zde bude opsan vstup");
    this.add(pridejBT);
    this.add(vlozBT);
    this.add(nahradBT);
    this.add(novyBT);
    this.add(vstupTA);
    this.add(vysledekLB);
    this.setSize(220, 150);

    vstupTA.addTextListener(this);
    pridejBT.addActionListener(this);
    vlozBT.addActionListener(this);
    nahradBT.addActionListener(this);
    novyBT.addActionListener(this);
  }

  public void textValueChanged(TextEvent e) {
    vysledekLB.setText(vstupTA.getText());
  }

  public void actionPerformed(ActionEvent e) {
    String s = e.getActionCommand();
    if (s.compareTo(pridejBT.getLabel()) == 0)
      vstupTA.append(" bezva");
    else
    if (s.compareTo(vlozBT.getLabel()) == 0)
      vstupTA.insert("fakt ", 0);
    else
    if (s.compareTo(nahradBT.getLabel()) == 0)
      vstupTA.replaceRange(" vazne", 12, 12);
    else
      vstupTA.setText("Java je");
  }

  public static void main(String[] args) {
    new MujTextArea().setVisible(true);
  }
}
