/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujTextComponent extends Zaklad
       implements ActionListener, ItemListener {
  TextArea vstupTA;
  Label vysledekLB;
  Button zacBT, vyberBT, vseBT;
  Checkbox editCHB;

  MujTextComponent() {
    super.setTitle(getClass().getName());
    zacBT = new Button("Zac");
    vyberBT = new Button("Vyber");
    vseBT = new Button("Vse");
    editCHB = new Checkbox("Edit", true);
    vstupTA = new TextArea("Java je bezva",
          3, 20, TextArea.SCROLLBARS_NONE);
    vysledekLB = new Label("Umisti kurzor doprostred textu");
    this.add(zacBT);
    this.add(vyberBT);
    this.add(vseBT);
    this.add(editCHB);
    this.add(vstupTA);
    this.add(vysledekLB);
    this.setSize(220, 150);

    zacBT.addActionListener(this);
    vyberBT.addActionListener(this);
    vseBT.addActionListener(this);
    editCHB.addItemListener(this);
  }

  public void actionPerformed(ActionEvent e) {
    String s = e.getActionCommand();
    int i = vstupTA.getCaretPosition();
    if (s.compareTo(zacBT.getLabel()) == 0) {
      vstupTA.setSelectionStart(0);
      vstupTA.setSelectionEnd(i);
    }
    else
    if (s.compareTo(vseBT.getLabel()) == 0)
      vstupTA.selectAll();
    else {
      s = vstupTA.getSelectedText();
      vysledekLB.setText(s);
    }
  }

  public void itemStateChanged(ItemEvent e) {
    boolean b = vstupTA.isEditable();
    vstupTA.setEditable(! b);
  }

  public static void main(String[] args) {
    new MujTextComponent().setVisible(true);
  }
}
