/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujMenu extends Zaklad
         implements ActionListener, ItemListener {
  TextArea vystupTA;
  String oddRadek;

  MujMenu() {
    super.setTitle(getClass().getName());
    vystupTA = new TextArea("Zde budou udalosti",
          4, 25, TextArea.SCROLLBARS_BOTH);
    this.add(vystupTA);
    oddRadek = System.getProperty("line.separator");
    // vytvareni menu
    MenuBar lista = new MenuBar();
    this.setMenuBar(lista);
    Menu m1 = new Menu("Menu1", true);
    lista.add(m1);
    MenuItem m11 = new MenuItem("MenuItem11");
    MenuItem m12 = new MenuItem("MenuItem12");
    m1.add(m11);
    m1.addSeparator();
    m1.add(m12);
    m12.setEnabled(false);
    Menu m2 = new Menu("Menu2", true);
    lista.add(m2);
    CheckboxMenuItem m21 = new CheckboxMenuItem("CheckboxMenuItem");
    m2.add(m21);
    Menu m22 = new Menu("Menu21", true);
    m2.add(m22);
    MenuItem m221 = new MenuItem("MenuItem211");
    MenuItem m222 = new MenuItem("MenuItem212");
    m22.add(m221);
    m22.add(m222);
    this.setSize(220, 120);

    m11.addActionListener(this);
    m221.addActionListener(this);
    m222.addActionListener(this);
    m21.addItemListener(this);
  }

  public void actionPerformed(ActionEvent e) {
    vystupTA.append(oddRadek + e.getActionCommand());
  }

  public void itemStateChanged(ItemEvent e) {
    vystupTA.append(oddRadek + e.getItem().toString());
  }

  public static void main(String[] args) {
    new MujMenu().setVisible(true);
  }
}
