/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujMenuShortcut extends Zaklad
         implements ActionListener {

  MujMenuShortcut() {
    super.setTitle(getClass().getName());
    MenuBar lista = new MenuBar();
    this.setMenuBar(lista);
    Menu file = new Menu("File", true);
    lista.add(file);
    MenuItem exit = new MenuItem("Exit",
                    new MenuShortcut(KeyEvent.VK_E));
    file.add(exit);
    MenuItem quit = new MenuItem("Quit",
                    new MenuShortcut(KeyEvent.VK_Q, true));
//                    new MenuShortcut(KeyEvent.VK_Q, false));
    file.add(quit);
    this.setSize(220, 80);

    exit.addActionListener(this);
    quit.addActionListener(this);
  }

  public void actionPerformed(ActionEvent e) {
    System.exit(0);
  }

  public static void main(String[] args) {
    new MujMenuShortcut().setVisible(true);
  }
}
