/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

class Faktorial {
  public long faktorial(int n) {
    long f = 1;
    for (int i = 2;  i <= n;  i++)
      f *= i;
    return f;
  }
}

class Mocnina {
  public long mocnina(int n) {
    return n * n;
  }
}

public class DelbaPrace extends Zaklad {
  Faktorial fakt = new Faktorial();
  Mocnina mocn = new Mocnina();
  TextField vstupTF, faktTF, mocnTF;
  final int PRVNI = 5;
  int n = PRVNI;

  DelbaPrace() {
    super.setTitle(getClass().getName());
    this.add(new Label("Vstup:", Label.RIGHT));
    vstupTF = new TextField(String.valueOf(PRVNI));
    this.add(vstupTF);
    vstupTF.addActionListener(new VstupTF());
    vstupTF.addFocusListener(new FocusVstupTF());

    Button faktBT = new Button("Faktorial");
    this.add(faktBT);
    faktBT.addActionListener(new FaktBT());
    faktTF = new TextField(15);
    faktTF.setEditable(false);
    this.add(faktTF);

    Button mocnBT = new Button("Mocnina");
    this.add(mocnBT);
    mocnBT.addActionListener(new MocnBT());
    mocnTF = new TextField(5);
    mocnTF.setEditable(false);
    this.add(mocnTF);
    this.pack();
  }

  class FocusVstupTF extends FocusAdapter {
    public void focusLost(FocusEvent e) {
      n = Integer.parseInt(vstupTF.getText());
    }
  }

  class VstupTF implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      n = Integer.parseInt(vstupTF.getText());
    }
  }

  class FaktBT implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      long f = fakt.faktorial(n);
      faktTF.setText(String.valueOf(f));
    }
  }

  class MocnBT implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      long m = mocn.mocnina(n);
      mocnTF.setText(String.valueOf(m));
    }
  }

  public static void main(String[] args) {
    new DelbaPrace().setVisible(true);
  }
}
