/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujFrame1 extends Zaklad
           implements ActionListener {
  Label vypLB;

  MujFrame1() {
    super.setTitle(getClass().getName());
    Button ikBT = new Button("Ikona");
    this.add(ikBT);
    Button skBT = new Button("Skryj");
    this.add(skBT);
    Button doBT = new Button("Dozadu");
    this.add(doBT);
    vypLB = new Label("viditelne");
    this.add(vypLB);
    this.pack();
    ikBT.addActionListener(this);
    skBT.addActionListener(this);
    doBT.addActionListener(this);
  }
  
  public void actionPerformed(ActionEvent e) {
    boolean b;
    vypLB.setText("     ");
    if (e.getActionCommand().compareTo("Ikona") == 0) {
      this.setState(Frame.ICONIFIED); b = cekej();
      this.setState(Frame.NORMAL);
    }
    else if (e.getActionCommand().compareTo("Skryj") == 0) {
      this.setVisible(false); b = cekej();
      this.setVisible(true);
    }
    else {
      this.toBack(); b = cekej(); this.toFront();
    }
    vypLB.invalidate();
    vypLB.setText(String.valueOf(b));
    this.validate();
  }

  private boolean cekej() {
    long z = System.currentTimeMillis();
    while (System.currentTimeMillis() < z + 2000)
      ;
    return this.isShowing();
  }

  public static void main(String[] args) {
    new MujFrame1().setVisible(true);
  }
}
