/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

class NovyDialog extends Dialog
                 implements ActionListener {
  TextField tf;
  NovyDialog(Frame vlastnik, boolean modalni) {
    super(vlastnik, "Novy Dialog", modalni);
    this.setLayout(new FlowLayout());
    this.setSize(100, 90);
    this.setLocation(80,80);
    tf = new TextField(5);
    this.add(tf);
    Button zavri = new Button("Zavri");
    zavri.addActionListener(this);
    this.add(zavri);
  }

  public void actionPerformed(ActionEvent e) {
    this.dispose();
  }

  public String getText() {
    return tf.getText();
  }
}

public class MujDialog extends Zaklad
     implements ActionListener, ItemListener {
  boolean modalni = false;
  Label vypLB;
  MujDialog() {
    super.setTitle(getClass().getName());
    Button dialBT = new Button("Dialog");
    this.add(dialBT);
    Checkbox modalCHB = new Checkbox("modalni");
    this.add(modalCHB);
    vypLB = new Label("Zde bude text z Dialog");
    this.add(vypLB);
    this.setSize(150, 95);
    dialBT.addActionListener(this);
    modalCHB.addItemListener(this);
  }

  public void actionPerformed(ActionEvent e) {
    NovyDialog nd = new NovyDialog(this, modalni);
    nd.show();
    vypLB.setText(nd.getText());
  }

  public void itemStateChanged(ItemEvent e) {
    modalni = ! modalni;
  }

  public static void main(String[] args) {
    new MujDialog().setVisible(true);
  }
}
