/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujFileDialog extends Zaklad {
  TextArea vystupTA;
  String oddRadek;

  MujFileDialog() {
    super.setTitle(getClass().getName());
    vystupTA = new TextArea("Zde budou udalosti",
          4, 25, TextArea.SCROLLBARS_BOTH);
    this.add(vystupTA);
    oddRadek = System.getProperty("line.separator");
    MenuBar lista = new MenuBar();
    this.setMenuBar(lista);
    Menu soubMN = new Menu("Soubor", true);
    lista.add(soubMN);
    MenuItem otevriMI = new MenuItem("Otevri");
    MenuItem ulozMI = new MenuItem("Uloz");
    soubMN.add(otevriMI);
    soubMN.add(ulozMI);
    this.pack();

    otevriMI.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        vystupTA.append(oddRadek + e.getActionCommand());
        jmenoSouboru(FileDialog.LOAD);
      }
    });

    ulozMI.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        vystupTA.append(oddRadek + e.getActionCommand());
        jmenoSouboru(FileDialog.SAVE);
      }
    });
  }

  void jmenoSouboru(int mod) {
    FileDialog fd = new FileDialog(this, "Soubor", mod);
    fd.setFile("kocka.jpg");
    fd.setDirectory("\\");
    fd.show();
    vystupTA.append(": " + fd.getFile());
    vystupTA.append(oddRadek + fd.getDirectory() + oddRadek);
  }

  public static void main(String[] args) {
    new MujFileDialog().setVisible(true);
  }
}
