/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujFlowLayout extends Zaklad
           implements ActionListener {
  MujFlowLayout() {
    super.setTitle(getClass().getName());
    this.setLayout(new FlowLayout());
    Button vlevo = new Button("Vlevo");
    this.add(vlevo);
    Button stred = new Button("Stred");
    this.add(stred);
    Button vpravo = new Button("Vpravo");
    this.add(vpravo);
    this.setSize(150, 95);
//    this.pack();
    vlevo.addActionListener(this);
    stred.addActionListener(this);
    vpravo.addActionListener(this);
  }

  public void actionPerformed(ActionEvent e) {
    String s = e.getActionCommand();
    if (s.compareTo("Vlevo") == 0)
      this.setLayout(new FlowLayout(FlowLayout.LEFT));
    if (s.compareTo("Stred") == 0)
      this.setLayout(new FlowLayout(FlowLayout.CENTER));
    if (s.compareTo("Vpravo") == 0)
      this.setLayout(new FlowLayout(FlowLayout.RIGHT));
    this.validate();
  }

  public static void main(String[] args) {
    new MujFlowLayout().setVisible(true);
  }
}
