/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujGridBagLayout2 extends Zaklad {
  GridBagConstraints gbc;
  GridBagLayout gbl;

  MujGridBagLayout2() {
    super.setTitle(getClass().getName());
    gbl = new GridBagLayout();
    this.setLayout(gbl);
    gbc = new GridBagConstraints();
    gbc.fill = GridBagConstraints.BOTH;

    gbc.weightx = 1.0;
    vytvorTlacitko("Tl. 1", 0, 0);
    vytvorTlacitko("Tla. 2", 1, 0);
    vytvorTlacitko("Tlatko 3", 2, 0);
    gbc.weightx = 0.0;
    gbc.gridwidth = 2;
    vytvorTlacitko("Tla. 4", 0, 1);
    gbc.gridwidth = 1;
    gbc.weighty = 1.0;
    gbc.gridheight = 2;
    vytvorTlacitko("Tlatko 5", 2, 1);
    gbc.weighty = 0.0;
    gbc.gridheight = 1;
    vytvorTlacitko("Tlatko 6", 0, 2);
    vytvorTlacitko("T. 7", 1, 2);

    this.setSize(200, 120);
  }

  void vytvorTlacitko(String jmeno, int gridx, int gridy) {
    Button b = new Button(jmeno);
    gbc.gridx = gridx;
    gbc.gridy = gridy;
    gbl.setConstraints(b, gbc);
    add(b);
  }

  public static void main(String[] args) {
    new MujGridBagLayout2().setVisible(true);
  }
}
