/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujContainerEvent extends Zaklad {
  Label zmenaLB;
  Button zmenaBT, novyBT;
  Frame f;
  MujContainerEvent() {
    super.setTitle(getClass().getName());
    this.setLayout(new BorderLayout(5, 5));
    zmenaLB = new Label("Zde bude typ zmeny", Label.CENTER);
    this.add(zmenaLB, BorderLayout.NORTH);
    this.addContainerListener(new CL());

    zmenaBT = new Button("Pridej");
    this.add(zmenaBT, BorderLayout.WEST);
    zmenaBT.addActionListener(new BAL());

    novyBT = new Button("Novy");
    novyBT.setEnabled(false);
    novyBT.setVisible(false);
    this.setSize(200, 95);
    f = this;
  }

  class BAL implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      if (novyBT.isVisible() == false) {
        f.add(novyBT, BorderLayout.EAST);
        novyBT.setVisible(true);
        zmenaBT.setLabel("Uber");
      }
      else {
        f.remove(novyBT);
        novyBT.setVisible(false);
        zmenaBT.setLabel("Pridej");
      }
      f.validate();
    }
  }

  class CL implements ContainerListener {
    public void componentAdded(ContainerEvent e) {
      String s1 = e.getChild().getName();
      String s2 = e.getContainer().getName();
      zmenaLB.setText(s1 + " pridano do " + s2);
    }
    public void componentRemoved(ContainerEvent e) {
      String s1 = ((Button) e.getChild()).getLabel();
      zmenaLB.setText(s1 + " ubrano");
    }
  }

  public Insets getInsets() {
    return new Insets(34, 10, 10, 10);
  }

  public static void main(String[] args) {
    new MujContainerEvent().setVisible(true);
  }
}
