/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujFocusEvent extends Zaklad {
  Label focLB;
  Scrollbar sb;
  MujFocusEvent() {
    super.setTitle(getClass().getName());
    this.setLayout(new BorderLayout(5, 5));
    focLB = new Label("Zde bude fokus", Label.CENTER);
    this.add(focLB, BorderLayout.NORTH);

    Button b = new Button("Fokus");
    this.add(b, BorderLayout.WEST);
    b.addFocusListener(new FL());
    b.addActionListener(new BAL());

    sb = new Scrollbar(Scrollbar.HORIZONTAL, 50, 0, 0, 100);
    this.add(sb, BorderLayout.CENTER);
    sb.addFocusListener(new FL());

    Checkbox c = new Checkbox("Check", false);
    this.add(c, BorderLayout.EAST);
    c.addFocusListener(new FL());
    this.setSize(200, 85);
  }

  class BAL implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      sb.requestFocus();
    }
  }

  class FL extends FocusAdapter {
    public void focusGained(FocusEvent e) {
      Component c = e.getComponent();
      focLB.setText(c.hasFocus() + " " + c.getName()
                   + " " + c.isFocusTraversable());
    }
  }

  public Insets getInsets() {
    return new Insets(24, 10, 10, 10);
  }

  public static void main(String[] args) {
    new MujFocusEvent().setVisible(true);
  }
}
