/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujItemEvent extends Zaklad {
  Label vysLB;
  Checkbox checkCHB;
  Choice choiCH;
  MujItemEvent() {
    super.setTitle(getClass().getName());
    vysLB = new Label("Zde bude vysledek", Label.CENTER);
    this.add(vysLB);
    choiCH = new Choice();
    choiCH.add("Prvni");
    choiCH.add("Druhy");
    this.add(choiCH);
    choiCH.addItemListener(new CHIL());
    checkCHB = new Checkbox("Check", true);
    this.add(checkCHB);
    checkCHB.addItemListener(new CHBIL());

    this.setSize(180, 85);
  }

  class CHIL implements ItemListener {
    public void itemStateChanged(ItemEvent e) {
      boolean b = false;
      if ((e.getStateChange() & ItemEvent.ITEM_STATE_CHANGED) != 0)
        b = true;
      Object o = e.getItem();   // je to String
      vysLB.setText(o + " - " + b);
    }
  }

  class CHBIL implements ItemListener {
    public void itemStateChanged(ItemEvent e) {
      String s = " - neznamy stav";
      if ((e.getStateChange() & ItemEvent.DESELECTED) != 0)
        s = " - vypnuto";
      if ((e.getStateChange() & ItemEvent.SELECTED) != 0)
        s = " - zapnuto";
      Checkbox c = (Checkbox) e.getItemSelectable();
      vysLB.setText(c.getLabel() + s);
//      vysLB.setText(c.getLabel() + " - " + c.getState());
    }
  }

  public static void main(String[] args) {
    new MujItemEvent().setVisible(true);
  }
}
