/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class MujMouseEvent1 extends Zaklad {
  Button sMysiBT, vymazBT;
  Choice vyslBtCH, vyslMysCH;
  Label mysiLB;
  MujMouseEvent1() {
    super.setTitle(getClass().getName());
    this.setLayout(new BorderLayout(10, 10));
    sMysiBT = new Button("S mysi");
    this.add(sMysiBT, BorderLayout.WEST);
    sMysiBT.addActionListener(new AL());

    mysiLB = new Label("Mysi zona", Label.CENTER);
    mysiLB.setBackground(Color.lightGray);
    this.add(mysiLB, BorderLayout.CENTER);

    vymazBT = new Button("Vymaz");
    this.add(vymazBT, BorderLayout.EAST);
    vymazBT.setBackground(Color.white);
    vymazBT.addActionListener(new AL());

    vyslBtCH = new Choice();
    this.add(vyslBtCH, BorderLayout.SOUTH);

    vyslMysCH = new Choice();
    this.add(vyslMysCH, BorderLayout.NORTH);

    sMysiBT.addMouseListener(new ML());
    mysiLB.addMouseListener(new ML());
    this.setSize(250, 120);
  }

  class AL implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      String s = e.getActionCommand();
      vyslBtCH.add("'" + s + "' vybran mysi");
      vyslBtCH.select(vyslBtCH.getItemCount() - 1);
      if (e.getActionCommand().compareTo("Vymaz") == 0)
        vyslMysCH.removeAll();
    }
  }

  void vypis(String co, MouseEvent e) {
    String s = e.getPoint().toString();
    s = s.substring(s.indexOf('['));
    String c = String.valueOf(vyslMysCH.getItemCount() + 1);
    vyslMysCH.add(c + "." + co + " " + s);
    vyslMysCH.select(vyslMysCH.getItemCount() - 1);
  }

  class ML implements MouseListener {
    public void mouseEntered(MouseEvent e) {
      vypis("vstup", e);
    }

    public void mouseExited(MouseEvent e) {
       vypis("vystup", e);
    }

    public void mousePressed(MouseEvent e) {
       vypis("stisk", e);
    }

    public void mouseReleased(MouseEvent e) {
       vypis("uvolneni", e);
    }

    public void mouseClicked(MouseEvent e) {
      vypis("clik", e);
    }
  }

  public static void main(String[] args) {
    new MujMouseEvent1().setVisible(true);
  }
}
