/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

class Platno extends Canvas {
  Image img = null;

  void vykresliNactenyObrazek(Image img) {
    this.img = img;
    repaint();
  }

  void nactiAVykresliObrazek() {
    Toolkit t = this.getToolkit();
    String fs = System.getProperty("file.separator");
    img = t.getImage(".." + fs + "kouzelnik.jpg");
//    img = t.getImage("kouzelnik.jpg");
    repaint();
  }

  public void paint(Graphics g) {
    Dimension d = getSize();
    if (img != null)
      g.drawImage(img, 0, 0, d.width - 1, d.height - 1, this);
  }
}

public class NacitaniObrazku1 extends Frame {
  Platno pl;
  Image img;
  Toolkit t;

  NacitaniObrazku1() {
    super.setTitle(getClass().getName());
    this.setSize(300, 200);
    pl = new Platno();
    this.add(pl, BorderLayout.CENTER);
    t = Toolkit.getDefaultToolkit();
//    t = this.getToolkit();

    Button b1 = new Button("Prvn obrzek");
    b1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        String fs = System.getProperty("file.separator");
        img = t.getImage(".." + fs + "kocka.jpg");
//        img = t.getImage("kocka.jpg");
        pl.vykresliNactenyObrazek(img);
      }
    });

    Button b2 = new Button("Druh obrzek");
    b2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        pl.nactiAVykresliObrazek();
      }
    });

    Panel p = new Panel();
    p.add(b1);
    p.add(b2);
    this.add(p, BorderLayout.SOUTH);

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(1);
      }
    });
  }

  public static void main(String[] args) {
    new NacitaniObrazku1().setVisible(true);
  }
}


