/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class HraciAplet extends Applet 
             implements ActionListener {
  Button jedBT, smyBT, appJedBT;
  AudioClip zvuk;
  boolean zastav = false;

  public void init() {
    zvuk = getAudioClip(getCodeBase(), "zvonek.wav");
    jedBT = new Button("Hraj jednou");
    this.add(jedBT);
    jedBT.addActionListener(new JBAL());

    smyBT = new Button("Hraj pod");
    this.add(smyBT);
    smyBT.addActionListener(new SBAL());

    appJedBT = new Button("Hraj jednou aplet");
    this.add(appJedBT);
    appJedBT.addActionListener(this);
  }

  class JBAL implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      zvuk.play();
    }
  }

  class SBAL implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      if (zastav == false) {
        zvuk.loop();
        smyBT.setLabel("Stop");
      }
      else {
        zvuk.stop();
        smyBT.setLabel("Hraj pod");
      }
      zastav = !zastav;   
    }
  }

  public void actionPerformed(ActionEvent e) {
    this.play(getCodeBase(), "zvonek.wav");
  }

  public void stop() {
    zvuk.stop();
    if (zastav == true) {
      smyBT.setLabel("Hraj pod");
      zastav = false;
    }
  }
}
