/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.io.*;

public class IOKonzole {
  public static void main(String[] args) throws Exception {
    InputStreamReader id = new InputStreamReader(System.in);
    System.out.println("Default vstup : " + id.getEncoding());
    OutputStreamWriter od = new OutputStreamWriter(System.out);
    System.out.println("Default vystup: " + od.getEncoding());

    /* Cp852 je vstupn kdovn etiny v DOSovm oknku */
//    OutputStreamWriter o = new OutputStreamWriter(System.out, "Unicode");
    OutputStreamWriter o = new OutputStreamWriter(System.out, "Cp852");
    PrintWriter p = new PrintWriter(o);
    InputStreamReader i = new InputStreamReader(System.in, "Cp852");
    BufferedReader ib = new BufferedReader(i);
    System.out.println(o.getEncoding());
    System.out.println(i.getEncoding());

    p.print("Zadej akcentovan znaky: ");
    p.flush();
    char[] pole = new char[20];
    i.read(pole, 0, 20);
    String s = new String(pole).trim();
    p.print("Zadal jsi: " + s + "\n");
    p.flush();

    p.print("Zadej dal akcentovan znaky: ");
    p.flush();
    s = ib.readLine().trim();
    p.print("Zadal jsi: " + s + "\n");
    p.flush();
  }
}
