/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.io.*;

public class Konvertor {
  public static void main(String[] args) throws Exception {
    if (args.length != 4) {
      System.out.println("Pouziti:\n" +
                        "  java Konvertor inkod outkod infile outfile\n" +
                        "    kody: Cp1250, Cp852, ISO8859_2, UTF8, Unicode");
      System.exit(1);
    }

    FileInputStream fr = new FileInputStream(args[2]);
    InputStreamReader ifr = new InputStreamReader(fr, args[0]);

    FileOutputStream fw = new FileOutputStream(args[3]);
    OutputStreamWriter ofw = new OutputStreamWriter(fw, args[1]);

    int c;
    while ((c = ifr.read()) != -1)
      ofw.write(c);

    ofw.close();
    fr.close();
  }
}
