/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.awt.*;
import java.awt.event.*;

public class TypyKurzoru extends Frame {
  final int pocetKurzoru = 14;
  int aktKurzor = 0;
  Button zmenaBT;
  Label typLB;

  TypyKurzoru() {
    super.setTitle(getClass().getName());
    this.setLayout(new GridLayout(2, 1));
    zmenaBT = new Button("Zmen kurzor");
    this.add(zmenaBT);
    typLB = new Label();
    this.add(typLB);
    this.setSize(200, 80);
    zmenaBT.addActionListener(new AL());
    typKurzoru(zmenaBT.getCursor());

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(1);
      }
    });
  }

  class AL implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      if (++aktKurzor == pocetKurzoru)
        aktKurzor = 0;
      Cursor c = new Cursor(aktKurzor);
      zmenaBT.setCursor(c);
      typKurzoru(c);
    }
  }

  void typKurzoru(Cursor c) {
    String s = c.getName().concat(", typ = ").concat(Integer.toString(c.getType()));
    typLB.setText(s);
  }

  public static void main(String[] args) {
    new TypyKurzoru().setVisible(true);
  }
}
