/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//      Java - grafick uivatelsk prosted a etina        //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2001                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.util.*;
import java.text.*;
import java.io.*;

public class DatumLocaleMody {
  public static void main(String[] args) throws Exception {
    OutputStreamWriter o = new OutputStreamWriter(System.out, "Cp852");
    PrintWriter p = new PrintWriter(o);
    DateFormat df;
    Date d = new Date();
    
    Locale[] lo = { new Locale("cs", "CZ"), new Locale("sk", "SK"),
                    new Locale("en", "US") };
    for (int i = 0;  i < lo.length;  i++) {
      p.print(lo[i].getDisplayCountry() + "\t\t");
    }
    p.println();

    int[] mody = { DateFormat.DEFAULT, DateFormat.SHORT, 
                   DateFormat.MEDIUM,  DateFormat.LONG,
                   DateFormat.FULL };

    for (int m = 0;  m < mody.length;  m++) {
      for (int i = 0;  i < lo.length;  i++) {
        df = DateFormat.getDateInstance(mody[m], lo[i]);
        String s = df.format(d);
        p.print(s + "\t\t");
        p.flush();
      }
      p.println();
    }
  }
}
